
Foreman - Feature #13768

Provide a default hostname

02/17/2016 10:52 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Host creation   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3240,

https://github.com/theforeman/foreman/p

ull/3713,

https://github.com/theforeman/foreman/p

ull/3792

  

Description

In order to save the user from thinking about what hostname to use, we can do like Heroku and other similar services and provide

them a default hostname.

Related issues:

Related to Foreman - Feature #14031: Automatic DNS name generation for interf... New 03/02/2016

Related to Foreman - Feature #110: support hostname naming standards New 12/05/2009

Related to Foreman - Bug #16379: Improve layout of host name randomization bu... Closed 08/30/2016

Associated revisions

Revision 03510341 - 08/08/2016 03:16 AM - Lukas Zapletal

Fixes #13768 - random and MAC-based name generator

Revision 3a877a37 - 08/08/2016 06:17 AM - Dominic Cleal

refs #13768 - require deacon

Revision 4a811e63 - 08/09/2016 09:06 AM - Dominic Cleal

refs #13768 - add random_name call to create_hosts permission

History

#1 - 02/17/2016 10:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/3203 added

#2 - 02/25/2016 09:39 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3240 added

#3 - 03/03/2016 03:20 AM - Dominic Cleal

- Related to Feature #14031: Automatic DNS name generation for interfaces added

#4 - 03/03/2016 04:15 AM - Lukas Zapletal

- Assignee changed from Daniel Lobato Garcia to Lukas Zapletal

- Pull request deleted (https://github.com/theforeman/foreman/pull/3203)

Ok I am taking this, working on my own patch to solve this problem.
#5 - 03/15/2016 03:24 AM - Ohad Levy

- Related to Feature #110: support hostname naming standards added

#6 - 08/08/2016 04:01 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0351034151a70be5bac559065c58056801bb3b22.

#7 - 08/08/2016 06:04 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#8 - 08/08/2016 10:44 AM - Daniel Lobato Garcia

- Target version set to 1.7.1

#9 - 08/09/2016 07:47 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3713 added

#10 - 08/23/2016 09:59 AM - Daniel Lobato Garcia

- Target version changed from 1.7.1 to 1.6.2

#11 - 08/23/2016 11:09 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 1.7.1

#12 - 08/30/2016 04:00 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3792 added

#13 - 08/30/2016 07:14 AM - Tomer Brisker

- Related to Bug #16379: Improve layout of host name randomization button added

#14 - 09/06/2016 10:02 AM - Daniel Lobato Garcia

- Target version changed from 1.7.1 to 1.6.2
